import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class TextFieldDemo extends Applet //MyFrameWithExitHandling
   implements ActionListener
{  private TextField tf1, tf2, tf3;   //three text fields declared
   private Button addBT;   //"Add" button

   public static void main (String[] args)
   {  MyFrameWithExitHandling f = new MyFrameWithExitHandling("Applet & Frame");
   
      TextFieldDemo tfd = new TextFieldDemo();

      f.setLayout(new BorderLayout());
      f.add("Center", tfd);
      f.setSize(200,100); //pack();
      f.setVisible(true);
      tfd.init();
   }

   public void init() //TextFieldDemo()
   {  //setTitle("TextFieldDemo");
      setBackground(Color.yellow);
      setForeground(Color.black);

      //use panel p1 to group text fields
      Panel p1 = new Panel();
      p1.setLayout(new FlowLayout());
      p1.add(new Label("Number 1"));
      p1.add(tf1 = new TextField(" ", 3));
      p1.add(new Label("Number 2"));
      p1.add(tf2 = new TextField(" ", 3));
      p1.add(new Label("Result"));
      p1.add(tf3 = new TextField("999 ", 4));
      tf3.setEditable(false);   //set tf3 noneditable

      //use panel p2 for the button
      Panel p2 = new Panel();
      p2.setLayout(new FlowLayout());
      p2.add(addBT = new Button("Add"));

      //set FlowLayout for the frame
      setLayout(new BorderLayout());
      add("Center", p1);
      add("South", p2);

      //register listener
      addBT.addActionListener(this);
   }

   //handling add operation
   public void actionPerformed(ActionEvent e)
   {  String arg = e.getActionCommand();
      if (e.getSource() instanceof Button)
      {  if ("Add".equals(arg))
         {  /*get int values from text fields and use trim() to
              trim extraneous space in the text field */
            int num1 = (Integer.parseInt(tf1.getText().trim()));
            int num2 = (Integer.parseInt(tf2.getText().trim()));
            int num3 = num1 + num2;
            //set num3 in TextField tf3
            tf3.setText(String.valueOf(num3));	//display result in tf3
         }
      }
   }
}
